﻿@charset "utf-8";
/* --------------------------------------------------
   common
-------------------------------------------------- */
.fixed-box {
	overflow-x: auto;
}
/* --------------------------------------------------
   default
-------------------------------------------------- */
.fixed-box table th {
	background-color: var(--sw-background-color-1);
	font-weight: bold;
    min-width: 3rem;
}
.fixed-box table th,
.fixed-box table td {
	padding: 10px 4px;
	border: 1px solid var(--sw-border-color-1);
	font-size: var(--sw-text-size-s);
	line-height: 1.25;
}
.fixed-box table th {
	background-color: var(--sw-background-color-1);
	font-weight: normal;
}
.fixed-box table td {
	text-align: right;
	white-space: nowrap;
}
.fixed-box table th.fixed {
	min-width: 100px;
}
.fixed-box table th.fixed + td {
	text-align: center;
}

/* --------------------------------------------------
   tableA
-------------------------------------------------- */
.fixed-box[data-layout-type='a'] table td {
	text-align: right !important;
}
.fixed-box[data-layout-type='a'] table th.fixed {
	text-align: left;
}
.fixed-box[data-layout-type='a'] table .fixed > span {
	white-space: nowrap;
	float: right;
}
.fixed-box[data-layout-type='a'] table .fixed > span::before {
	content: '（';
}
.fixed-box[data-layout-type='a'] table .fixed > span::after {
	content: '）';
}
.fixed-box[data-layout-type='a'] table thead .fixed {
	justify-content: flex-end;
	text-align: right;
}
.fixed-box[data-layout-type='a'] table thead .fixed > span {
	font-size: var(--sw-text-size-ss);
}

/* --------------------------------------------------
   tableB
-------------------------------------------------- */
.fixed-box[data-layout-type='b'] table td {
	text-align: right !important;
}
.fixed-box[data-layout-type='b'] table th.fixed {
	text-align: left;
}
.fixed-box[data-layout-type='b'] table .fixed > span {
	white-space: nowrap;
}
.fixed-box[data-layout-type='b'] table .fixed > span::before {
	content: '（';
}
.fixed-box[data-layout-type='b'] table .fixed > span::after {
	content: '）';
}
.fixed-box[data-layout-type='b'] table thead .fixed {
	font-size: 0px;
}

/* --------------------------------------------------
   tableC
-------------------------------------------------- */
.fixed-box[data-layout-type='c'] table td {
	text-align: right !important;
}
.fixed-box[data-layout-type='c'] table th.fixed {
	text-align: left;
	min-width: 130px;
}
.table-unit {
	/* margin-top: 1rem; */
	font-size: var(--sw-text-size-ss);
	text-align: right;
}
.table-unit + .fixed-box[data-layout-type='c'] {
	margin-top: 0;
}
